<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="getarticlerank.aspx.cs" Inherits="TotCms.Web.Admin.label.getarticlerank" ValidateRequest="false" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head id="Head1" runat="server">
  <title>文章点击排行标签</title>
  <link href="css.css" rel="stylesheet" type="text/css" />
  <script src="../js/common.js" type="text/javascript"></script>
  <script type="text/javascript"> 
    function GetValue(){
      var ret='';
	    var CategoryId=document.getElementById('CategoryId').value;	
	    var DataRand=document.getElementById('DataRand').value;
	    var CharMax=checkInt(document.getElementById('CharMax').value);
	    var RowsNum=document.getElementById('RowsNum').value;
        var TitlePrefix=document.getElementById('TitlePrefix').value;
	    TitlePrefix=TitlePrefix.replace(/\'/g,"\'");
	    TitlePrefix=TitlePrefix.replace(/\,/g,"");
	    var ShowTime=document.getElementById('ShowTime').value;
	    ret='GetArticleRank(';
	    ret+=CategoryId+',';
	    ret+=DataRand+',';
	    ret+=CharMax+',';
	    ret+=RowsNum+',';
        ret+=TitlePrefix+',';
	    ret+=ShowTime+')';	    
	    return ret;
    }
    function retValue(){
	    var r=GetValue();
	    window.opener.document.form1.Content.value=r;
	    window.close();
    }
    function Preview(){
      var r=GetValue();
      r=r.replace('(',',');
      r=r.replace(')','');
      r=r.replace('"','');
		  document.getElementById('preframe').src='label_privew.aspx?content='+escape(r);
    }
    function checkInt(obj){
	    var reg = /^(\d{1,4})$/; 
	    if(obj!="" && obj.match(reg)==null){
		    return 0;
	    }else{
	      return obj;
	    }
    }
    </script>

</head>
<body>
    <form id="form1" runat="server">
    <fieldset style="text-align:center; ">
<legend>文章点击排行标签</legend>
<table width="400" border="0" align="center" cellpadding="1" cellspacing="5">
  <tr>
    <td width="113"><div align="left">栏目:</div></td>
    <td width="268">
      <div align="left">
        <asp:Label ID="CategoryTitle" runat="server" Text="选择栏目"></asp:Label>
        <asp:TextBox ID="CategoryId" runat="server" CssClass="hidden">0</asp:TextBox>
          <input id="Button4" type="button" value="..." onclick="popupWindow('../Category_Tree.aspx','category_tree',400,300,1)" />
      </div></td>
  </tr>
  <tr>
    <td><div align="left">时间范围:</div></td>
    <td><div align="left">   
      <asp:DropDownList ID="DataRand" runat="server">
        <asp:ListItem Value="0">不限</asp:ListItem>
        <asp:ListItem Value="1">一天</asp:ListItem>
        <asp:ListItem Value="7">一周</asp:ListItem>
        <asp:ListItem Value="30">月度</asp:ListItem>
        <asp:ListItem Value="90">季度</asp:ListItem>
          <asp:ListItem Value="365">一年</asp:ListItem>
      </asp:DropDownList>
</div></td>
  </tr>
  <tr>
    <td><div align="left">文字个数限制:</div></td>
    <td>
        <div align="left">
          <asp:TextBox ID="CharMax" runat="server" CssClass="input_num">20</asp:TextBox>
      </div></td>
  </tr>
  <tr>
    <td align="left">行数：</td>
    <td align="left">
      <asp:TextBox ID="RowsNum" runat="server">10</asp:TextBox>
            </td>
  </tr>
  <tr>
    <td align="left">标题前缀：</td>
    <td align="left">
      <asp:TextBox ID="TitlePrefix" runat="server">auto</asp:TextBox>
            auto=自动编号</td>
  </tr>
  <tr>
    <td align="left">显示日期：</td>
    <td align="left">
      <asp:DropDownList ID="ShowTime" runat="server">
        <asp:ListItem Value="0">否</asp:ListItem>
        <asp:ListItem Value="1">是</asp:ListItem>
      </asp:DropDownList>
            </td>
  </tr>
  <tr>
    <td colspan="2">
      <div align="center">
        <input id="Ok" type="submit" value="确定" onclick="retValue()" />
        &nbsp;
        <input type="button"  onclick="window.close();" value="取消" />
    &nbsp;<input id="Button1" type="button" value="预览" onclick="Preview()" /></div></td>
  </tr>
</table>
 
</fieldset>
<fieldset>
  <legend>预览</legend>
  <iframe width="99%" frameborder="0" id="preframe" name="preframe" src="preview.htm"></iframe>
</fieldset>
    </form>
</body>
</html>
